org.apache.coyote.ajp

## Class AbstractAjpProcessor.SocketInputBuffer

- java.lang.Object
- - org.apache.coyote.ajp.AbstractAjpProcessor.SocketInputBuffer

- All Implemented Interfaces:
    InputBuffer
  Enclosing class:
    AbstractAjpProcessor<S>

      protected class AbstractAjpProcessor.SocketInputBuffer
      extends Object
      implements InputBuffer

  This class is an input buffer which will read its data from an input stream.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractAjpProcessor.SocketInputBuffer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doRead(ByteChunk chunk, Request req)` Read bytes into the specified chunk.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractAjpProcessor.SocketInputBuffer

          protected AbstractAjpProcessor.SocketInputBuffer()

  - ### Method Detail

    - #### doRead

          public int doRead(ByteChunk chunk,
                   Request req)
                     throws IOException

      Read bytes into the specified chunk.
      Specified by:
        `doRead` in interface `InputBuffer`
      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.